%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%global srcname FErari

Name:           python-ferari
Version:        0.2.0
Release:        5%{?dist}
Summary:        Optimizer for finite element code

Group:          Applications/Engineering
License:        LGPLv2
URL:            http://www.fenicsproject.org/
Source0:        http://launchpad.net/ferari/trunk/%{version}/+download/ferari-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools


%description
FErari (Finite Element rearrangement to automatically reduce instructions)
generates optimized code for evaluation of the element tensor (element
stiffness matrix) and functions as an optimizing backend for FFC.


%prep
%setup -q -n ferari-%{version}
sed -i -e '/^#!\//, 1d' ferari/xpermutations.py


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README
%{python_sitelib}/ferari/
%{python_sitelib}/ferari*.egg-info


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Apr 03 2011 Fabian Affolter <fabian@bernewireless.net> - 0.2.0-1
- Updated URL

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Jul 03 2010 Fabian Affolter <fabian@bernewireless.net> - 0.2.0-1
- Updated to new upstream version 0.2.0
- Added new doc files
- Updated source url

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 30 2009 Fabian Affolter <fabian@bernewireless.net> - 0.0.2-1
- Initial package for Fedora
